RSB SCXML Engine - Tasks #1948
Add data model items from RSB
08/21/2014 01:46 PM - J. Wienke

Status: Resolved Start date:
Priority: Normal Due date:
Assignee: J. Wienke % Done:
Category: Estimated time:
Target version:

08/21/2014

100%
Description

Associated revisions

Revision 551e2d39 - 08/22/2014 03:12 PM - J. Wienke

Allow registering RSB listeners for the datamodel

Listeners can now be declared to fill the data model. Data will be

passed onto LimitedQueues of length 1 in the model to be thread-safe.

This includes a lot of refactoring in the parsing and parser result
handling to remove duplication and improve the code base.

fixes #1948

History

#2 - 08/22/2014 03:14 PM - J. Wienke
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:551e2d396dba6ca2d2b35d6154febbe2487ead4c.
